version: '3'
services:
  synapse:
    image: matrixdotorg/synapse
    environment:
      - SYNAPSE_REPORT_STATS=no
      - SYNAPSE_CONFIG_DIR=/etc/synapse
    volumes:
      - /srv/var/lib/matrix.d4.social/synapse:/data
      - ./synapse:/etc/synapse
    restart: always
    networks:
      - ingress
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=${INGRESS_NETWORK}"
      - "traefik.http.services.matrixd4social.loadbalancer.server.port=8008"
      - "traefik.http.routers.matrixd4social.rule=Host(`matrix.d4.social`)"
      - "traefik.http.routers.matrixd4social.entryPoints=https"
      - "traefik.http.routers.matrixd4social.tls=true"
      - "traefik.http.routers.matrixd4social.tls.certresolver=le"
      - "traefik.http.routers.matrixd4social.service=matrixd4social"

  riot:
    image: vectorim/riot-web
    volumes:
      - ./riot/config.json:/app/config.json
    restart: always
    networks:
      - ingress
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=${INGRESS_NETWORK}"
      - "traefik.http.services.riotd4social.loadbalancer.server.port=80"
      - "traefik.http.routers.riotd4social.rule=Host(`riot.d4.social`)"
      - "traefik.http.routers.riotd4social.entryPoints=https"
      - "traefik.http.routers.riotd4social.tls=true"
      - "traefik.http.routers.riotd4social.tls.certresolver=le"
      - "traefik.http.routers.riotd4social.service=riotd4social"

networks:
  default:
  ingress:
    external:
      name: ${INGRESS_NETWORK}
